/webhooksCreate a webhook
Authentication
Bearer authentication is required for this operation.
Request body
descriptionstringOptional endpoint description.
endpointrequiredstring (uri)Webhook endpoint URL. Example: "https://hooks.acme.com/boundry".
eventsrequiredarraySubscribed webhook event types.
headersobjectOptional static endpoint headers.
Request examples
curl --request POST 'https://api.au.boundry.dev/webhooks' \
+ -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+ -H 'Content-Type: application/json' \
+ --data '{"endpoint":"https://hooks.acme.com/boundry","events":["email.sent"]}'201 response
New webhook and one-time signing secret.
idrequiredstringWebhook identifier. Example: "msg_01j0example".
objectrequiredstringResource type discriminator. Values: "webhook".
signing_secretrequiredstringOne-time webhook signing secret.
{
"endpoint": "https://hooks.acme.com/boundry",
"events": [
"email.sent"
]
}400 response
Request body was not valid JSON.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"endpoint": "https://hooks.acme.com/boundry",
"events": [
"email.sent"
]
}401 response
Invalid API key.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"endpoint": "https://hooks.acme.com/boundry",
"events": [
"email.sent"
]
}422 response
Request validation failed.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"endpoint": "https://hooks.acme.com/boundry",
"events": [
"email.sent"
]
}